%define major           5.45.4
%define libname         %mklibname %{name} %{major}
%define develname       %mklibname %{name} -d

%global __provides_exclude_from %{_docdir}
%global __requires_exclude_from %{_docdir}

Summary:        A tcl extension for simplifying program-script interaction
Name:           expect
Epoch:          1
Version:        5.45.4
Release:        %mkrel 5
Group:          System/Libraries
License:        BSD
URL:            http://expect.nist.gov/
Source:         http://downloads.sourceforge.net/%{name}/%{name}%{version}.tar.gz
# Patch1: fixes install loation, change pkgIndex
# From Fedora
Patch1:         expect-5.43.0-pkgpath.patch
Patch10:        expect-fedora-5.32.2-random.patch
# fix log file perms (Fedora)
Patch25:        expect-fedora-5.43.0-log_file.patch
# (fc) 5.43.0-16mdv fix format security
Patch27:        expect-5.43.0-fixformatsecurity.patch
BuildRequires:  tcl
BuildRequires:  pkgconfig(tcl)
BuildRequires:  tk
BuildRequires:  pkgconfig(tk)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       tcl
Requires:       %{libname} = %{epoch}:%{version}
# for multixterm
Requires:       xterm
Provides:       %{_bindir}/expect
Provides:       %{_bindir}/expectk

%description
Expect is a tcl extension for automating interactive applications such
as telnet, ftp, passwd, fsck, rlogin, tip, etc.  Expect is also useful
for testing the named applications.  Expect makes it easy for a script
to control another program and interact with it.

Install the expect package if you'd like to develop scripts which interact
with interactive applications.  You'll also need to install the tcl
package.

%package -n     %{libname}
Summary:        Shared libraries for %{name}
Group:          System/Libraries

%description -n %{libname}
Expect is a tcl extension for automating interactive applications such
as telnet, ftp, passwd, fsck, rlogin, tip, etc.  Expect is also useful
for testing the named applications.  Expect makes it easy for a script
to control another program and interact with it.

Install the expect package if you'd like to develop scripts which interact
with interactive applications.  You'll also need to install the tcl
package.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{libname} = %{epoch}:%{version}
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}
Provides:       lib%{name}-devel = %{epoch}:%{version}-%{release}

%description -n %{develname}
This package contains development files for %{name}.

%package        examples
Summary:        Example scripts for %{name}
Group:          System/Libraries

%description    examples
This package contains example scripts for Expect.

Expect is a tcl extension for automating interactive applications such
as telnet, ftp, passwd, fsck, rlogin, tip, etc.  Expect is also useful
for testing the named applications.  Expect makes it easy for a script
to control another program and interact with it.

Install the expect package if you'd like to develop scripts which interact
with interactive applications.  You'll also need to install the tcl
package.

%prep

%setup -q -n %{name}%{version}
%autopatch -p1

%build
autoreconf -vfi
%configure \
    --enable-gcc \
    --enable-shared \
    --with-tcl=%{_libdir} \
    --with-tk=%{_libdir} \
    --with-tclinclude=%{_includedir}/tcl-private/generic

%make_build

%check
make test

%install
%make_install INSTALL_ROOT=%{buildroot}

# move
mv %{buildroot}%{tcl_sitearch}/expect%{version}/libexpect%{version}.so %{buildroot}%{_libdir}
# mv %{buildroot}%{_libdir}/expect%{version}/libexpect%{version}.so %{buildroot}%{_libdir}

# for linking with -lexpect
ln -s libexpect%{major}.so %{buildroot}%{_libdir}/libexpect.so

# remove cryptdir/decryptdir, as Linux has no crypt command (bug 6668).
rm -f %{buildroot}%{_bindir}/{cryptdir,decryptdir}
rm -f %{buildroot}%{_mandir}/man1/{cryptdir,decryptdir}.1*
rm -f %{buildroot}%{_bindir}/autopasswd

%files
%doc ChangeLog FAQ HISTORY NEWS README
%{_bindir}/*
%{tcl_sitearch}/%{name}%{major}
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n %{libname}
%{_libdir}/lib%{name}%{version}.so

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib%{name}.so

%files examples
%doc example/*


%changelog
* Sun Jun 28 2020 joequant <joequant> 1:5.45.4-5.mga8
+ Revision: 1600020
- remove arm workaround

* Thu Feb 13 2020 umeabot <umeabot> 1:5.45.4-4.mga8
+ Revision: 1512124
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1:5.45.4-3.mga7
+ Revision: 1297646
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 1:5.45.4-2.mga7
+ Revision: 1233906
- fix build on aarch64

* Sun Feb 18 2018 kekepower <kekepower> 1:5.45.4-1.mga7
+ Revision: 1202761
- Update to version 5.45.4

* Sat Feb 25 2017 wally <wally> 1:5.45-6.mga6
+ Revision: 1087847
- require xterm for multixterm

* Sat Mar 12 2016 shlomif <shlomif> 1:5.45-5.mga6
+ Revision: 989600
- Hopefully fix it now

* Sat Mar 12 2016 shlomif <shlomif> 1:5.45-4.mga6
+ Revision: 989596
- Fix the duplicate files (Comment #2).

* Sat Mar 12 2016 shlomif <shlomif> 1:5.45-3.mga6
+ Revision: 989527
- Fix broken symlink (MGA#17967)

* Thu Feb 11 2016 umeabot <umeabot> 1:5.45-2.mga6
+ Revision: 953877
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 shlomif <shlomif> 1:5.45-1.mga6
+ Revision: 889419
- New version 5.45
- Remove a lot of old patches.
- Sync based on the Fedora package.
- Some patches in the Fedora package were not included.

* Sun Oct 04 2015 tmb <tmb> 1:5.43.0-28.mga6
+ Revision: 886148
- enable p24 (tcl 8.6 buildfix)
- rebuild for new tcl
+ tv <tv>
- rebuild for new tcl

* Wed Oct 15 2014 umeabot <umeabot> 1:5.43.0-26.mga5
+ Revision: 743854
- Second Mageia 5 Mass Rebuild

* Fri Sep 19 2014 tv <tv> 1:5.43.0-25.mga5
+ Revision: 697352
- excludes requires from doc (mga#14123)

* Tue Sep 16 2014 umeabot <umeabot> 1:5.43.0-24.mga5
+ Revision: 679066
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:5.43.0-23.mga4
+ Revision: 504167
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1:5.43.0-22.mga3
+ Revision: 349871
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 fwang <fwang> 1:5.43.0-21.mga3
+ Revision: 294739
- specify tk dir also

* Wed Jul 06 2011 fwang <fwang> 1:5.43.0-20.mga2
+ Revision: 119156
- specify tcl dir
- disable patch for tcl8.6
- use correct tclinclude dir
- rebuild for new tcl
+ dmorgan <dmorgan>
- Clean spec file

* Tue Jan 11 2011 pterjan <pterjan> 1:5.43.0-19.mga1
+ Revision: 6177
- Drop old scriptlets and obsoletes
- imported package expect

